package com.heyu.api.data.service.vv;
/**
* <p>
* 订单表状态变更记录 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-16
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.vv.VvTradeOrderLineStatusLogEntity;
public interface VvTradeOrderLineStatusLogService extends IService<VvTradeOrderLineStatusLogEntity> {



	VvTradeOrderLineStatusLogEntity selectVvTradeOrderLineStatusLogById(Long id);


	Long insertVvTradeOrderLineStatusLog(VvTradeOrderLineStatusLogEntity vvTradeOrderLineStatusLog);


	Long insertOrUpdateVvTradeOrderLineStatusLog(VvTradeOrderLineStatusLogEntity vvTradeOrderLineStatusLog);


	int updateVvTradeOrderLineStatusLogById(VvTradeOrderLineStatusLogEntity vvTradeOrderLineStatusLog);


	int updateCoverVvTradeOrderLineStatusLogById(VvTradeOrderLineStatusLogEntity vvTradeOrderLineStatusLog);


	int deleteVvTradeOrderLineStatusLogById(Long id);


}